<template>
  <div class="yearProgress">
    <p>进度条</p>
    <progress percent="60" color="#ea5a49" />
    <p>{{year}}已经过去了{{days}}天，20%</p>
  </div>
</template>

<script type="text/ecmascript-6">
   export default {
     computed:{
       year(){
         return new Date().getFullYear()
       },
       days(){
         let start = new Date();
         start.setMonth(0);
         start.setDate(1);
         // start 就是今年第一天
         // 今天的时间戳减去今年第一天的时间戳
         let offset = new Date().getTime()-start.getTime();
         return parseInt(offset/1000/60/60/24)+1;
       }
     },
     methods:{
       isLeapYear(){
          const year = new Date().getFullYear();
       },
       getDayOfYead(){

       }
     }
   }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" type="text/scss" scoped>

</style>
